Bug 1420954 - Recommendations for building on top of LVM
Summary: Recommendations for building on top of LVM
Keywords:
Status: NEW
Alias: None
Product: LVM and device-mapper
Classification: Community
Component: lvm2
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Fedora
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: stratis-lvm-reqs
TreeView+ depends on / blocked
 
Reported: 2017-02-09 23:49 UTC by Andy Grover
Modified: 2020-12-02 18:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
rule-engine: lvm-technical-solution?
rule-engine: lvm-test-coverage?


Attachments (Terms of Use)

Description Andy Grover 2017-02-09 23:49:06 UTC
Stratis is currently designed as initrd capable, but also will have a running daemon to do monitoring and support a DBus API. Given this, what is the recommendation for the best way for it to interact with LVM?

This has several interconnected facets: 
* How does Stratis interact with LVM -- lvm-dbus, libblockdev, or do cmdline wrapping/parsing itself?
* How does Stratis receive and parse LVM (and DM?) errors with the granularity it needs to take appropriate action, or to convert the error into a Stratis-specific error message?
* How should Stratis listen for events? Use dmeventd, maybe with a new plugin? Does LVM have its own conditions that Stratis would need to check/poll for?

Overall, just looking for a recommendation on how best to achieve this level of support, and to fill in which pieces are there today vs. still needing development.

Comment 1 Fedora End Of Life 2017-02-28 11:14:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:03:08 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.